Bug 471656 - livecd traceback when using base on
livecd traceback when using base on
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 16:14 EST by Daniel Walsh
Modified: 2009-07-21 14:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-21 14:31:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2008-11-14 16:14:00 EST
Description of problem:

Version-Releas# livecd-creator -b livecd-fedora-minimal-200810211449.iso -c livecd-fedora-minimal.ks 
Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 136, in <module>
    sys.exit(main())
  File "/usr/bin/livecd-creator", line 118, in main
    creator.mount(options.base_on, options.cachedir)
  File "/usr/lib/python2.5/site-packages/imgcreate/creator.py", line 503, in mount
    self._mount_instroot(base_on)
  File "/usr/lib/python2.5/site-packages/imgcreate/live.py", line 178, in _mount_instroot
    LoopImageCreator._mount_instroot(self, base_on)
  File "/usr/lib/python2.5/site-packages/imgcreate/creator.py", line 915, in _mount_instroot
    self._base_on(base_on)
  File "/usr/lib/python2.5/site-packages/imgcreate/live.py", line 134, in _base_on
    isoloop = Mount(LoopbackDisk(base_on), self._mkdtemp())
TypeError: __init__() takes exactly 3 arguments (2 given)
e number of selected component (if applicable):
Comment 1 Daniel Walsh 2008-11-14 16:15:21 EST
#rpm -q livecd-tools
livecd-tools-020-1.fc10.x86_64
Comment 2 Jeremy Katz 2008-11-16 20:00:43 EST
Fixed up in -git.  I'll talk with Jesse tomorrow and see if we can still get it into F10 or if I should do it as a post-release update
Comment 3 Bug Zapper 2008-11-26 00:23:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Chris Shoemaker 2009-05-22 22:25:32 EDT
I tried to verify if this bug was resolved, but I get a different traceback using the "base on" parameter:

# rpm -q livecd-tools
livecd-tools-024-1.fc11.x86_64

# livecd-creator --cache=/var/tmp/act/ --config=base.ks -v --debug --logfile=debug -b livecd-base-200905222046.iso 
mount: block device /dev/loop1 is write-protected, mounting read-only
e2fsck 1.41.4 (27-Jan-2009)
Pass 1: Checking inodes, blocks, and sizes
Pass 2: Checking directory structure
Pass 3: Checking directory connectivity
Pass 4: Checking reference counts
Pass 5: Checking group summary information
livecd-base-x86_: 77414/196608 files (0.6% non-contiguous), 479287/786432 blocks
e2fsck 1.41.4 (27-Jan-2009)
Pass 1: Checking inodes, blocks, and sizes
Pass 2: Checking directory structure
Pass 3: Checking directory connectivity
Pass 4: Checking reference counts
Pass 5: Checking group summary information
livecd-base-x86_: 77414/196608 files (0.6% non-contiguous), 479287/786432 blocks
Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 140, in <module>
    sys.exit(main())
  File "/usr/bin/livecd-creator", line 122, in main
    creator.mount(options.base_on, options.cachedir)
  File "/usr/lib/python2.6/site-packages/imgcreate/creator.py", line 524, in mount
    self.__create_selinuxfs()
  File "/usr/lib/python2.6/site-packages/imgcreate/creator.py", line 463, in __create_selinuxfs
    os.mknod(selinux_dir + "/load", 0666 | stat.S_IFCHR, os.makedev(1, 3))
OSError: [Errno 17] File exists
Comment 5 Jeremy Katz 2009-07-21 14:31:14 EDT
Closing out bug that's been in MODIFIED for a while.

Note You need to log in before you can comment on or make changes to this bug.